import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { LabRxTemplateCreateManyUserInputObjectSchema as LabRxTemplateCreateManyUserInputObjectSchema } from './LabRxTemplateCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => LabRxTemplateCreateManyUserInputObjectSchema), z.lazy(() => LabRxTemplateCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const LabRxTemplateCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.LabRxTemplateCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.LabRxTemplateCreateManyUserInputEnvelope>;
export const LabRxTemplateCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
